• OWASP AntiSamy v1.4.4

    O projeto OWASP AntiSamy é uma API que permite que os usuários possam inserir HTML e CSS em uma página Web (como o perfil de uma rede social ou o campo de comentários de um blog) sem ficar exposto à vulnerabilidades Cross-SiteScripting (XSS). E o que esse lançamento traz de novo? Ele implementa a mudança do motor DOM pelo SAX, sendo agora este último o motor padrão. Nas versões anteriores, os dois estavam disponíveis; entretanto, de acordo com os desenvolvedores, tornava-se muito difícil a manutenção de ambos.

    A versão com o SAX apresenta maior rapidez e utiliza a memória de maneira mais proveitosa. Em face disso, há uma recomendação de que apesar dos dois motores passarem em todos os testes, ainda há problemas relevantes com o SAX; isso faz com aplicações críticas permaneçam com a versão 1.4.3 (DOM), até o momento.


    Saiba Mais:

    [1] OWASP AntiSamy: http://www.pentestit.com/2011/03/11/...antisamy-v144/

    Sobre o Autor: Camilla Lemke


Visite: BR-Linux ·  VivaOLinux ·  Dicas-L